#cloud-config
ssh_pwauth: true
disable_root: false

runcmd:
  - sed -i 's/^#\?PermitRootLogin.*/PermitRootLogin yes/' /etc/ssh/sshd_config
  - sed -i 's/^#\?PasswordAuthentication.*/PasswordAuthentication yes/' /etc/ssh/sshd_config
  - sed -i 's/^#\?UsePAM.*/UsePAM yes/' /etc/ssh/sshd_config
  - systemctl enable sshd
  - systemctl restart sshd
  - firewall-cmd --add-service=ssh --permanent || true
  - firewall-cmd --reload || true
  - dnf install -y qemu-guest-agent
  - systemctl enable --now qemu-guest-agent

